#!/bin/sh -eu

. install2-init-functions

# find block device name corresponding to given block device name
find_device()
{
	find /sys/devices/ -path "*/$1" |head -n1|
		sed -n 's|.*block/\([^/]\+\).*|\1|p'
}

# exclude source devices
exclude= 
dev=
mpoint=
fstype=
opts=
dummy=
while read dev mpoint fstype opts dummy; do
	[ "$mpoint" = '/' -o "$mpoint" = "$image_dir" ] || continue
	[ -n "${dev%%/dev/*}" ] || exclude="$exclude $(find_device ${dev##*/})"
done </proc/mounts

# exclude ide cdrom devices
for n in /proc/ide/hd*/media; do
	[ -f "$n" ] || continue
	if [ "$(cat $n)" = cdrom ]; then
		exclude="$exclude $(echo "$n" |cut -d/ -f4)"
	fi
done

# exclude scsi cdrom devices
for n in /dev/sr[0-9]*; do
	[ -b "$n" ] || continue
	exclude="$exclude ${n##*/}"
done

if [ -s /etc/evms.conf ]; then
	sed -i "0,/^sysfs_devices /{p;d}; s/^\([[:space:]]*\)exclude = \[ \]/\1exclude = [$exclude loop* ]/" \
		/etc/evms.conf
fi

if [ -f /proc/sys/dev/raid/speed_limit_min ]; then
	cat /proc/sys/dev/raid/speed_limit_min >/proc/sys/dev/raid/speed_limit_max
fi
