#!/bin/sh -efu

. install2-init-functions

cat >"$destdir/tmp/instkernel" <<'EOF'
#!/bin/sh -efu

if [ -d /proc/scsi/usb-storage ]; then
	MKINITRD_OPTIONS='--with usb-storage --with ehci-hcd --with usbhid --with uhci-hcd --with ohci-hcd'
	export MKINITRD_OPTIONS
fi

# %{version}-%{name}-%{release} is needed for /sbin/installkernel,
# which waiting something like 2.6.27-std-def-alt12

kern_list="$(rpmquery -a --qf='%{version}-%{name}-%{release}\n' 'kernel-image-*')"

# FIXME: apply reverse sort order in vain attempt to get "right" default kernel in bootloader menu.
printf '%s\n' "$kern_list" |
	sort -ru |
	sed -e 's#kernel-image-##' |
	DURING_INSTALL= LOADER=/bin/true xargs -rn1 /sbin/installkernel -n

rm -f /tmp/instkernel
EOF

chmod +x "$destdir/tmp/instkernel"
exec_chroot /tmp/instkernel
